GRUB-MKSTANDALONE(1)

BEZEICHNUNG
grub-mkstandalone - ein Arbeitsspeicherplatten-basiertes GRUB-Abbild erzeugen

ÜBERSICHT
grub-mkstandalone [OPTION …] [OPTION] QUELLE …

BESCHREIBUNG
Erzeugt ein eigenständiges Abbild, das alle Module enthält, im angegebenen Format.

--compress=no|xz|gz|lzo
    komprimiert GRUB-Dateien (optional).

--disable-shim-lock
    deaktiviert die shim_lock-Überprüfung.

--dtb=DATEI
    bettet eine spezifische DTB ein.

-d, --directory=VERZEICHNIS
    verwendet Abbilder und Module im angegebenen VERZEICHNIS (Vorgabe ist /usr/lib/grub/<Plattform>).

--fonts=SCHRIFTEN
    installiert die angegebenen SCHRIFTEN (Vorgabe=unicode).

--install-modules=MODULE
    installiert nur die angegebenen MODULE und deren Abhängigkeiten (Vorgabe=alle).

-k, --pubkey=DATEI
    bettet die angegebene DATEI als öffentlichen Schlüssel für die Überprüfung der Signatur ein.

--locale-directory=VERZEICHNIS verwendet die Übersetzungen im angegebenen Verzeichnis.
    [Vorgabe=/usr/share/locale]

--locales=LOCALES
    installiert nur die angegebenen LOCALES (Vorgabe=alle).

--modules=MODULE
    lädt die angegebenen MODULE vor.

--sbat=DATEI
    SBAT-Metadaten

--themes=THEMEN
    installiert die angegebenen THEMEN (Vorgabe=starfield).

-v, --verbose
    gibt ausführliche Meldungen aus.

--core-compress=xz|none|auto
    wählt die für das Speicherkern-Abbild zu verwendende Kompression.

-o, --output=DATEI
    speichert die Ausgabe in der angegebenen DATEI (muss angegeben werden).

-O, --format=DATEI
    erzeugt ein Abbild im angegebenen FORMAT. Folgende Formate sind verfügbar: i386-coreboot, i386-multiboot, i386-pc, i386-xen_pvh, i386-pc-pxe, i386-pc-eltorito, i386-efi, i386-ieee1275, i386-qemu, x86_64-efi, i386-xen, x86_64-xen, mipsel-yeeloong-flash, mipsel-fuloong2f-flash, mipsel-loongson-elf, powerpc-ieee1275, sparc64-ieee1275-raw, sparc64-ieee1275-cdcore, sparc64-ieee1275-aout, ia64-efi, mips-arc, mipsel-arc, mipsel-qemu_mips-elf, mips-qemu_mips-flash, mipsel-qemu_mips-flash, mips-qemu_mips-elf, arm-uboot, arm-coreboot-vexpress, arm-coreboot-veyron, arm-efi, arm64-efi, loongarch64-efi, riscv32-efi, riscv64-efi

-?, --help
    gibt eine kurze Hilfe aus.

--usage
    gibt eine kurze Meldung zur Verwendung aus.

-V, --version
    gibt die Programmversion aus.

Erforderliche oder optionale Argumente für lange Optionen sind ebenso erforderlich bzw. optional für die entsprechenden Kurzoptionen.

Graft-Point-Syntax (»gepropfte« Punkte, zum Beispiel /boot/grub/grub.cfg=./grub.cfg) wird akzeptiert.

FEHLER MELDEN
Melden Sie Fehler (auf Englisch) an bug-grub@gnu.org.

SIEHE AUCH
grub-mkimage(1)

Die vollständige Dokumentation für grub-mkstandalone wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und grub-mkstandalone auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info grub-mkstandalone

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).